curl --request POST \
--url https://api.gcore.com/cloud/v2/security_groups/{project_id}/{region_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my_security_group",
"description": "My security group description",
"rules": [
{
"direction": "ingress",
"description": "Some description",
"ethertype": "IPv4",
"port_range_max": 80,
"port_range_min": 80,
"protocol": "tcp",
"remote_group_id": "00000000-0000-4000-8000-000000000000",
"remote_ip_prefix": "10.0.0.0/8"
}
],
"tags": {}
}
'import requests
url = "https://api.gcore.com/cloud/v2/security_groups/{project_id}/{region_id}"
payload = {
"name": "my_security_group",
"description": "My security group description",
"rules": [
{
"direction": "ingress",
"description": "Some description",
"ethertype": "IPv4",
"port_range_max": 80,
"port_range_min": 80,
"protocol": "tcp",
"remote_group_id": "00000000-0000-4000-8000-000000000000",
"remote_ip_prefix": "10.0.0.0/8"
}
],
"tags": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'my_security_group',
description: 'My security group description',
rules: [
{
direction: 'ingress',
description: 'Some description',
ethertype: 'IPv4',
port_range_max: 80,
port_range_min: 80,
protocol: 'tcp',
remote_group_id: '00000000-0000-4000-8000-000000000000',
remote_ip_prefix: '10.0.0.0/8'
}
],
tags: {}
})
};
fetch('https://api.gcore.com/cloud/v2/security_groups/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Create security group
Creates a new security group with the specified configuration. If no egress rules are provided, default set of egress rules will be applied If rules are explicitly set to empty, no rules will be created.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
1
Region ID
1
Body
Security group name
^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$"my_security_group"
Security group description
"My security group description"
Security group rules
250Show child attributes
Show child attributes
Key-value tags to associate with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Both tag keys and values have a maximum length of 255 characters. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
Show child attributes
Show child attributes
{ "my-tag": "my-tag-value" }
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?